# Package net.axay.kspigot.particles

## Types

KSpigotParticle
Link copied to clipboard
data class KSpigotParticle(particle: Particle, amount: Int, offset: Vector?, extra: Number, data: Any?, force: Boolean)
Content copied to clipboard

## Functions

particle
Link copied to clipboard
fun particle(particle: Particle, builder: KSpigotParticle.() -> Unit): KSpigotParticle
Content copied to clipboard
Accesses the particle builder.
fun Location.particle(particle: Particle, builder: KSpigotParticle.() -> Unit? = null)
Content copied to clipboard
Accesses the particle builder and then immediately spawns the particle at the given location.
fun Player.particle(particle: Particle, builder: KSpigotParticle.() -> Unit? = null)
Content copied to clipboard
Accesses the particle builder and then immediately spawns the particle for the player.